/**
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
*/

.row {
    display: flex;
    flex-wrap: wrap;
    margin-top: auto;
    margin-bottom: auto;
}

.title-footer {
    display: block;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 48px;
    color: #fff;
    background: rgba(0, 0, 0, .38);
    overflow: hidden;
    left: 0px;
    right: 0px;
    position: absolute;
    bottom: 0px;
    text-align: center;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    margin-left: 15px;
    margin-right: 15px;
}

#centercontainer {
    width: 100%;
    margin: 0 auto;
}

#moduleRightsCondition {
    justify-content: center;
    overflow: hidden !important;
}

#forLoopDiv {
    padding-top: 25px;
    cursor: pointer;
    width: 330px;
    height: 330px;
}

#picDiv {
    text-align: center;
    border-radius: 10px;
    width: 100%;
    height: 100%;
}

a:link {
    text-decoration: none;
    color: white;
}

a:hover {
    text-decoration: none;
    color: white;
}

a:visited {
    text-decoration: none;
    color: white;
}


/* Grow */

.hvr-grow {
    display: inline-block;
    vertical-align: middle;
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    backface-visibility: visible;
    -moz-osx-font-smoothing: grayscale;
    transition-duration: 0.6s;
    transition-property: transform;
}

.hvr-grow:hover,
.hvr-grow:focus,
.hvr-grow:active {
    transform: scale(1.05, 1.05);
}

.underline-opening:after {
    content: "";
    position: absolute;
    z-index: -1;
    width: 3px;
    height: 4%;
}

.underline-opening:hover:after {
    width: 100%;
    height: 4%;
}

.underline-opening:before {
    content: "";
    position: absolute;
    z-index: -1;
    width: 3px;
    height: 4%;
}

.underline-opening:hover:before {
    width: 100%;
    height: 4%;
}

.underline-opening:after {
    bottom: 0%;
    left: 0%;
    right: 0;
    margin: 0 auto;
}

.underline-opening:before {
    bottom: 0%;
    right: 0%;
    left: 0;
    margin: 0 auto;
}

/* Base */

.element {
    display: table;
    margin: 14px auto;
    font-size: 16px;
    position: relative;
    z-index: 2;
}

.element:hover,
.element:focus {
    outline: 0;
    color: #FFFFFF;
    -webkit-transition: color 1s ease;
    -moz-transition: color 1s ease;
    -ms-transition: color 1s ease;
    -o-transition: color 1s ease;
    transition: color 1s ease;
    cursor: pointer;
}

.element:before {
    -webkit-transition: all 1s ease;
    /* add delay if wanted */
    -moz-transition: all 1s ease;
    /* add delay if wanted */
    -ms-transition: all 1s ease;
    /* add delay if wanted */
    -o-transition: all 1s ease;
    /* add delay if wanted */
    transition: all 1s ease;
    /* add delay if wanted */
    width: 0%;
}

.element:after {
    -webkit-transition: all 1s ease;
    /* add delay if wanted */
    -moz-transition: all 1s ease;
    /* add delay if wanted */
    -ms-transition: all 1s ease;
    /* add delay if wanted */
    -o-transition: all 1s ease;
    /* add delay if wanted */
    transition: all 1s ease;
    /* add delay if wanted */
    width: 0%;
}

.element:hover:after,
.element:focus:after {
    outline: 0;
    background-color: #fff;
    -webkit-transition: all 1s ease;
    /* add delay if wanted */
    -moz-transition: all 1s ease;
    /* add delay if wanted */
    -ms-transition: all 1s ease;
    /* add delay if wanted */
    -o-transition: all 1s ease;
    /* add delay if wanted */
    transition: all 1s ease;
    /* add delay if wanted */
}

.element:hover:before,
.element:focus:before {
    outline: 0;
    background-color: #fff;
    -webkit-transition: all 1s ease;
    /* add delay if wanted */
    -moz-transition: all 1s ease;
    /* add delay if wanted */
    -ms-transition: all 1s ease;
    /* add delay if wanted */
    -o-transition: all 1s ease;
    /* add delay if wanted */
    transition: all 1s ease;
    /* add delay if wanted */
}